Comment 350 for bug 1383184

Carlos Laviola (claviola) wrote :

Still unsupported as of 16.04 and yakkety for my hardware (Dell Latitude E7270).

The workaround involves replacing "/lib/firmware/ath10k/QCA6174/hw3.0/board.bin" with a version from Killer Networking's website, as per:

http://www.killernetworking.com/product-support/knowledge-base/17-linux

The required file is directly available at:

http://www.killernetworking.com/support/K1535_Debian/board.bin

The machine is a Dell Latitude E7270. Here's the lspci output:

01:00.0 Network controller [0280]: Qualcomm Atheros QCA6174 802.11ac Wireless Network Adapter [168c:003e] (rev 32)
        Subsystem: Dell QCA6174 802.11ac Wireless Network Adapter [1028:0310]
        Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx+
        Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx+
        Latency: 0
        Interrupt: pin A routed to IRQ 130
        Region 0: Memory at e1000000 (64-bit, non-prefetchable) [size=2M]
        Capabilities: <access denied>
        Kernel driver in use: ath10k_pci
        Kernel modules: ath10k_pci